#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS  = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_autoreconf:
	touch gtk-doc.make
	echo "EXTRA_DIST =" >> gtk-doc.make
	echo "CLEANFILES =" >> gtk-doc.make
	mkdir m4 # needed by autoconf 2.70+
	gtkdocize
	dh_autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --enable-rpath=no
